PATCH

/api/v1/exchanges/:id/rename

Permission: EXCHANGES_WRITESecurity: SIGNED

Updates the custom label or display name for the connected exchange account entity using its ID.

Path Parameters

idUUID string required

Unique Quentrade UUID of this exchange account entity.

Query / Body Parameters

labelstring required

New custom display name or label for this exchange account.

Example Request

PATCHPATCH /api/v1/exchanges/7fa84b80-77a8-4e89-a292-123456789abc/rename?label=My%20Renamed%20Account

Response Parameters

Updated Account Entity Structure

If successful, the response returns the updated copy of the Exchange Connection model reflecting the new label name.

View Account Entity Spec

Example Responses

rename_account_200.json
200 OK
{
  "id": "7fa84b80-77a8-4e89-a292-123456789abc",
  "exchange": "binance",
  "label": "My Renamed Main Binance",
  "connection_type": "spot",
  "can_trade": true,
  "can_withdraw": false,
  "is_active": true,
  "is_testnet": false,
  "last_verified": "2026-08-20T23:38:00.000Z",
  "last_error": null,
  "created_at": "2026-08-20T23:25:00.000Z"
}